Snow Leopard downgrades your Flash Player

Published Date
04 - Sep - 2009
| Last Updated
04 - Sep - 2009
 
Snow Leopard downgrades your Flash Player
Microsoft is perhaps overly criticized for introducing new bugs with each version, but to their credit, they only do that for their own products!
 

If you're a security conscious Mac user who kept his system up to date, you will be surprised to learn that Snow Leopard takes it upon itself to downgrade some of these for you!
 

A diligently updated computer will find its version of Flash Player downgraded from the latest 10.0.32.18, to the older vulnerable 10.0.23.1. Adobe released its security update for its much publicized security bugs in Adobe Flash Player 9, 10 and in Acrobat last month, meaning that a lot of people will already have the latest greatest version.
 

At best this means that the user will be once again update their Flash player version, at worst, it means they will never even realize for some time that they are running a vulnerable version and might be the target of an attack.
 

This is quite a display of the lack of intelligence in the MacOS X installer, which should have no business meddling with third party software anyway.